Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

## javax.persistence
Annotation Type PersistenceContext

    @Target(value={TYPE,METHOD,FIELD})
    @Retention(value=RUNTIME)
    public @interface PersistenceContext

Expresses a dependency on an EntityManager persistence context.

Author:
  Bill Burke

Optional Element Summary
`String` | `name` The name by which the entity manager is to be accessed in the environment referencing context, and is not needed when dependency injection is used.
`PersistenceProperty[]` | `properties` Used to specify properties for the container or persistence provider.
`PersistenceContextType` | `type` Specifies whether this is a transaction-scoped persistence context or an extended persistence context.
`String` | `unitName` The name of the persistence unit.

### name

    public abstract String name

  The name by which the entity manager is to be accessed in the environment referencing context, and is not needed when dependency injection is used.

  Default:
    ""

### unitName

    public abstract String unitName

  The name of the persistence unit. If the unitName element is specified, the persistence unit for the entity manager that is accessible in JNDI must have the same name.

  Default:
    ""

### properties

    public abstract PersistenceProperty[] properties

  Used to specify properties for the container or persistence provider. Vendor specific properties may be included in this set of properties. Properties that are not recognized by a vendor are ignored.

  Default:
    {}

### type

    public abstract PersistenceContextType type

  Specifies whether this is a transaction-scoped persistence context or an extended persistence context.

  Default:
    TRANSACTION

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT